PROGRAM ASD;
Const InFile='box.in';
        OutFile='box.out';
var a,b,i         : longint;
BEGIN
 Assign(input,infile);
 Reset(input);
  read(a,b); a:=a xor b;
  for i:=1 to 10 do
   begin
    read(b);
    a:=a xor b;
   end;
 Assign(output,outfile);
 Rewrite(output);
  if a=0 then write('POSSIBLE') ELSE WRITE('IMPOSSIBLE');
 Close(output);
 Close(input);
END.